classification
Title: chapter 17.1.3.5 'Replacing os.popen*' in the Python library reference contains an error
Type: enhancement Stage:
Components: Documentation Versions: Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: afoo, georg.brandl, humitos
Priority: normal Keywords: patch

Created on 2008-06-11 23:01 by afoo, last changed 2008-06-23 00:19 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
libsubprocess.diff humitos, 2008-06-21 14:49 Changes in documentation
Messages (5)
msg68032 - (view) Author: Jan Huelsbergen (afoo) Date: 2008-06-11 23:01
the 'from' examples contain non-keyword args after keyword args:

pipe = os.popen(cmd, mode='r', bufsize)

should be

pipe = os.popen(cmd, 'r', bufsize)

and

pipe = os.popen(cmd, mode='w', bufsize)

should be

pipe = os.popen(cmd, 'w', bufsize)
msg68496 - (view) Author: Manuel Kaufmann (humitos) * Date: 2008-06-21 14:49
I fixed this error, I attach the patch.
msg68570 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-06-22 18:12
Fixed in r64461. Thanks!
msg68572 - (view) Author: Manuel Kaufmann (humitos) * Date: 2008-06-22 18:57
This bug was reported on Python 2.5 version and was applied on 2.6 
branch. That's correct?
msg68574 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-06-22 19:04
I don't maintain the 2.5 docs anymore, at least for such minor bugs.
History
Date User Action Args
2008-06-23 00:19:37benjamin.petersonsetstatus: open -> closed
2008-06-22 19:04:08georg.brandlsetmessages: + msg68574
2008-06-22 18:57:34humitossetmessages: + msg68572
2008-06-22 18:12:24georg.brandlsetresolution: fixed
messages: + msg68570
2008-06-21 14:49:22humitossetfiles: + libsubprocess.diff
nosy: + humitos
messages: + msg68496
keywords: + patch
2008-06-11 23:01:24afoocreate